Index: trunk/SophyaPI/PIext/nomhistadapter.h
===================================================================
--- trunk/SophyaPI/PIext/nomhistadapter.h	(revision 2930)
+++ trunk/SophyaPI/PIext/nomhistadapter.h	(revision 2933)
@@ -31,6 +31,4 @@
   virtual AnyDataObj*		CloneDataObj(bool share=false);
 
-  //  virtual void			ReadFits(string const & flnm);
-  //  virtual void			SaveFits(string const & flnm);
   virtual void			SavePPF(POutPersist& s, string const & nom);
 
@@ -82,6 +80,4 @@
   virtual AnyDataObj*		CloneDataObj(bool share=false);
 
-  //  virtual void			ReadFits(string const & flnm);
-  //  virtual void			SaveFits(string const & flnm);
   virtual void			SavePPF(POutPersist& s, string const & nom);
 
@@ -132,6 +128,4 @@
   virtual AnyDataObj*		CloneDataObj(bool share=false);
 
-  virtual void			ReadFits(string const & flnm);
-  virtual void			SaveFits(string const & flnm);
   virtual void			SavePPF(POutPersist& s, string const & nom);
 
@@ -158,6 +152,4 @@
   virtual AnyDataObj*		CloneDataObj(bool share=false);
 
-  virtual void			ReadFits(string const & flnm);
-  virtual void			SaveFits(string const & flnm);
   virtual void			SavePPF(POutPersist& s, string const & nom);
 
@@ -184,6 +176,4 @@
   virtual AnyDataObj*		CloneDataObj(bool share=false);
 
-  virtual void			ReadFits(string const & flnm);
-  virtual void			SaveFits(string const & flnm);
   virtual void			SavePPF(POutPersist& s, string const & nom);
 
Index: trunk/SophyaPI/PIext/nomimagadapter.cc
===================================================================
--- trunk/SophyaPI/PIext/nomimagadapter.cc	(revision 2930)
+++ trunk/SophyaPI/PIext/nomimagadapter.cc	(revision 2933)
@@ -15,5 +15,4 @@
 #else
 #include "objfitter.h"
-#include "fitstarray.h"
 #endif
 
@@ -72,44 +71,4 @@
 }
 
-/* --Methode-- */
-template <class T>
-void NOMAdapter_Image<T>::ReadFits(string const & flnm)
-{
-#ifdef SANS_EVOLPLANCK
-  cerr << " NOMAdapter_Image<T>::ReadFits() Non disponible !! " << endl;
-#else
-  FitsInFile fis(flnm);
-  fis >> (*mImg);
-#endif
-}
-
-/* --Methode-- */
-template <class T>
-void NOMAdapter_Image<T>::SaveFits(string const & flnm)
-{
-#ifdef SANS_EVOLPLANCK
-FitsImage<T> fim(*mImg, 1);
-fim.Save(flnm);
-#else
-  FitsOutFile fos(flnm);
-  fos << (*mImg);
-#endif
-}
-
-#ifndef SANS_EVOLPLANCK
-DECL_TEMP_SPEC  /* equivalent a template <> , pour SGI-CC en particulier */
-void NOMAdapter_Image< uint_2 >::SaveFits(string const & flnm)
-{
-cout << " NOMAdapter_Image< uint_2 >::SaveFits() - Error " 
-     << " Not supported uint_2 data type ! " << endl;
-}
-
-DECL_TEMP_SPEC  /* equivalent a template <> , pour SGI-CC en particulier */
-void NOMAdapter_Image< uint_2 >::ReadFits(string const & flnm)
-{
-cout << " NOMAdapter_Image< uint_2 >::ReadFits() - Error " 
-     << " Not supported uint_2 data type ! " << endl;
-}
-#endif
 
 /* --Methode-- */
Index: trunk/SophyaPI/PIext/nomimagadapter.h
===================================================================
--- trunk/SophyaPI/PIext/nomimagadapter.h	(revision 2930)
+++ trunk/SophyaPI/PIext/nomimagadapter.h	(revision 2933)
@@ -27,6 +27,4 @@
   virtual AnyDataObj*		CloneDataObj(bool share=false);
 
-  virtual void			ReadFits(string const & flnm);
-  virtual void			SaveFits(string const & flnm);
   virtual void			SavePPF(POutPersist& s, string const & nom);
 
Index: trunk/SophyaPI/PIext/nommatvecadapter.h
===================================================================
--- trunk/SophyaPI/PIext/nommatvecadapter.h	(revision 2930)
+++ trunk/SophyaPI/PIext/nommatvecadapter.h	(revision 2933)
@@ -33,6 +33,4 @@
   virtual AnyDataObj*		CloneDataObj(bool share=false);
 
-  //  virtual void			ReadFits(string const & flnm);
-  //  virtual void			SaveFits(string const & flnm);
   virtual void			SavePPF(POutPersist& s, string const & nom);
 
@@ -83,6 +81,4 @@
   virtual AnyDataObj*		CloneDataObj(bool share=false);
 
-  //  virtual void			ReadFits(string const & flnm);
-  //  virtual void			SaveFits(string const & flnm);
   virtual void			SavePPF(POutPersist& s, string const & nom);
 
Index: trunk/SophyaPI/PIext/nomskymapadapter.cc
===================================================================
--- trunk/SophyaPI/PIext/nomskymapadapter.cc	(revision 2930)
+++ trunk/SophyaPI/PIext/nomskymapadapter.cc	(revision 2933)
@@ -14,7 +14,4 @@
 #include "pitvmaad.h"
 #include "complexios.h"
-
-#include "fitsspherehealpix.h"
-#include "fitslocalmap.h"
 
 // Valeur par defaut pour la projection MolleWeide, en dehors de la sphere 
@@ -122,75 +119,4 @@
 if (se != NULL) return( new SphereECP<T>(*se, share) );
 return(NULL);
-}
-
-/* --Methode-- */
-template <class T> 
-void NOMAdapter_PixelMap<T>::ReadFits(string const & flnm)
-{
-LocalMap<T>* lm = dynamic_cast< LocalMap<T> * >(mMap); 
-if (lm != NULL) {
-  FitsInFile fis(flnm);
-  fis >> (*lm);
-  return;
-}
-SphereHEALPix<T>* sg = dynamic_cast< SphereHEALPix<T> * >(mMap); 
-if (sg != NULL) {
-  FitsInFile fis(flnm);
-  fis >> (*sg);
-  return;
-}
-string s = typeid(*mMap).name();
-cout << " NOMAdapter_PixelMap<T>::ReadFits() - Error " 
-     << " Not supported for " << s << endl;
-return;
-}
-
-
-/* --Methode-- */
-template <class T> 
-void NOMAdapter_PixelMap<T>::SaveFits(string const & flnm)
-{
-LocalMap<T>* lm = dynamic_cast< LocalMap<T> * >(mMap); 
-if (lm != NULL) {
-  FitsOutFile fos(flnm);
-  fos << (*lm);
-  return;
-}
-SphereHEALPix<T>* sg = dynamic_cast< SphereHEALPix<T> * >(mMap); 
-if (sg != NULL) {
-  FitsOutFile fos(flnm);
-  fos << (*sg);
-  return;
-}
-string s = typeid(*mMap).name();
-cout << " NOMAdapter_PixelMap<T>::SaveFits() - Error " 
-     << " Not supported for " << s << endl;
-return;
-}
-
-// ---- Specialisation pour complexes -----
-DECL_TEMP_SPEC  /* equivalent a template <> , pour SGI-CC en particulier */
-void NOMAdapter_PixelMap< complex<r_4> >::ReadFits(string const & flnm)
-{
-cout << " void NOMAdapter_PixelMap< complex<r_4> >::ReadFits() - Error " 
-     << " Not supported (complex data type)" << endl;
-}
-DECL_TEMP_SPEC  /* equivalent a template <> , pour SGI-CC en particulier */
-void NOMAdapter_PixelMap< complex<r_4> >::SaveFits(string const & flnm)
-{
-cout << " void NOMAdapter_PixelMap< complex<r_4> >::SaveFits() - Error " 
-     << " Not supported (complex data type)" << endl;
-}
-DECL_TEMP_SPEC  /* equivalent a template <> , pour SGI-CC en particulier */
-void NOMAdapter_PixelMap< complex<r_8> >::ReadFits(string const & flnm)
-{
-cout << " void NOMAdapter_PixelMap< complex<r_4> >::ReadFits() - Error " 
-     << " Not supported (complex data type)" << endl;
-}
-DECL_TEMP_SPEC  /* equivalent a template <> , pour SGI-CC en particulier */
-void NOMAdapter_PixelMap< complex<r_8> >::SaveFits(string const & flnm)
-{
-cout << " void NOMAdapter_PixelMap< complex<r_8> >::SaveFits() - Error " 
-     << " Not supported (complex data type)" << endl;
 }
 
Index: trunk/SophyaPI/PIext/nomskymapadapter.h
===================================================================
--- trunk/SophyaPI/PIext/nomskymapadapter.h	(revision 2930)
+++ trunk/SophyaPI/PIext/nomskymapadapter.h	(revision 2933)
@@ -30,6 +30,4 @@
   virtual AnyDataObj*		CloneDataObj(bool share=false);
 
-  virtual void			ReadFits(string const & flnm);
-  virtual void			SaveFits(string const & flnm);
   virtual void			SavePPF(POutPersist& s, string const & nom);
 
Index: trunk/SophyaPI/PIext/nomspecrespadapter.h
===================================================================
--- trunk/SophyaPI/PIext/nomspecrespadapter.h	(revision 2930)
+++ trunk/SophyaPI/PIext/nomspecrespadapter.h	(revision 2933)
@@ -22,6 +22,4 @@
   virtual NObjMgrAdapter*	Clone(AnyDataObj* o);
 
-  //  virtual void			ReadFits(string const & flnm);
-  //  virtual void			SaveFits(string const & flnm);
   virtual void			SavePPF(POutPersist& s, string const & nom);
 
Index: trunk/SophyaPI/PIext/nomtarradapter.cc
===================================================================
--- trunk/SophyaPI/PIext/nomtarradapter.cc	(revision 2930)
+++ trunk/SophyaPI/PIext/nomtarradapter.cc	(revision 2933)
@@ -15,5 +15,4 @@
 
 #include "fioarr.h"
-#include "fitstarray.h"
 
 
Index: trunk/SophyaPI/PIext/nomtmatvecadapter.cc
===================================================================
--- trunk/SophyaPI/PIext/nomtmatvecadapter.cc	(revision 2930)
+++ trunk/SophyaPI/PIext/nomtmatvecadapter.cc	(revision 2933)
@@ -16,5 +16,4 @@
 
 #include "fioarr.h"
-#include "fitstarray.h"
 
 
Index: trunk/SophyaPI/PIext/smakefile
===================================================================
--- trunk/SophyaPI/PIext/smakefile	(revision 2930)
+++ trunk/SophyaPI/PIext/smakefile	(revision 2933)
@@ -1,4 +1,3 @@
 include $(SOPHYABASE)/include/sophyamake.inc
-
  
 all: $(SOPHYALIBP)libPIext.a
@@ -25,8 +24,8 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h dlftypes.h basexecut.h \
-  $(SOPHYAINCP)strutilxx.h pistdimgapp.h \
-  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)ctimer.h $(SOPHYAINCP)zthread.h \
+  dlftypes.h basexecut.h $(SOPHYAINCP)strutilxx.h \
+  pistdimgapp.h $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
@@ -86,4 +85,6 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)generaldata.h \
   $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
@@ -91,5 +92,8 @@
   $(SOPHYAINCP)fmath.h $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)histos2.h $(SOPHYAINCP)hisprof.h \
-  $(SOPHYAINCP)ntuple.h
+  $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)datatable.h \
+  $(SOPHYAINCP)basedtable.h \
+  $(SOPHYAINCP)segdatablock.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  basexecut.cc
  
@@ -107,7 +111,7 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h dlftypes.h nobjmgr.h \
-  $(SOPHYAINCP)pigncont.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)ctimer.h $(SOPHYAINCP)zthread.h \
+  dlftypes.h nobjmgr.h $(SOPHYAINCP)pigncont.h \
   $(SOPHYAINCP)pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
@@ -176,4 +180,6 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)generaldata.h \
   $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
@@ -195,7 +201,7 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h dlftypes.h nobjmgr.h \
-  $(SOPHYAINCP)strutilxx.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)ctimer.h $(SOPHYAINCP)zthread.h \
+  dlftypes.h nobjmgr.h $(SOPHYAINCP)strutilxx.h \
   $(SOPHYAINCP)cxxcmplnk.h nomgadapter.h \
   $(SOPHYAINCP)pidrawer.h \
@@ -224,4 +230,6 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)generaldata.h \
   $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
@@ -275,8 +283,8 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h dlftypes.h nobjmgr.h cxxexecwin.h \
-  $(SOPHYAINCP)pisysdep.h pistdimgapp.h \
-  $(SOPHYAINCP)piapplx.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)ctimer.h $(SOPHYAINCP)zthread.h \
+  dlftypes.h nobjmgr.h cxxexecwin.h $(SOPHYAINCP)pisysdep.h \
+  pistdimgapp.h $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
   $(SOPHYAINCP)pimsghandler.h \
@@ -344,7 +352,8 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h dlftypes.h nobjmgr.h pi2dvec.h \
-  pistdimgapp.h $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)ctimer.h $(SOPHYAINCP)zthread.h \
+  dlftypes.h nobjmgr.h pi2dvec.h pistdimgapp.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
@@ -405,4 +414,6 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)generaldata.h \
   $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
@@ -424,8 +435,8 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h dlftypes.h graphexecut.h \
-  $(SOPHYAINCP)strutilxx.h pistdimgapp.h \
-  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)ctimer.h $(SOPHYAINCP)zthread.h \
+  dlftypes.h graphexecut.h $(SOPHYAINCP)strutilxx.h \
+  pistdimgapp.h $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
@@ -485,4 +496,6 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)generaldata.h \
   $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
@@ -506,7 +519,8 @@
   $(SOPHYAINCP)ppfnametag.h \
   $(SOPHYAINCP)dvlist.h $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)mutyv.h dlftypes.h servnobjm.h \
-  $(SOPHYAINCP)pdlmgr.h $(SOPHYAINCP)zthread.h \
-  nomgadapter.h $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  dlftypes.h servnobjm.h $(SOPHYAINCP)pdlmgr.h \
+  $(SOPHYAINCP)zthread.h nomgadapter.h \
+  $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)pibwdggen.h \
   $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
@@ -533,4 +547,6 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)generaldata.h \
   $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
@@ -570,28 +586,5 @@
   $(SOPHYAINCP)pistzwin.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h \
-  $(SOPHYAINCP)fitsautoreader.h \
-  $(SOPHYAINCP)fitsfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h \
-  $(SOPHYAINCP)fitstarray.h \
-  $(SOPHYAINCP)fitsspherehealpix.h \
-  $(SOPHYAINCP)spherehealpix.h \
-  $(SOPHYAINCP)sphericalmap.h \
-  $(SOPHYAINCP)smathconst.h \
-  $(SOPHYAINCP)pixelmap.h \
-  $(SOPHYAINCP)spherepos.h \
-  $(SOPHYAINCP)unitvector.h \
-  $(SOPHYAINCP)vector3d.h \
-  $(SOPHYAINCP)longlat.h \
-  $(SOPHYAINCP)utilgeom.h \
-  $(SOPHYAINCP)HEALPixUtils.h \
-  $(SOPHYAINCP)fitsntuple.h \
-  $(SOPHYAINCP)ntuple.h \
-  $(SOPHYAINCP)fitsxntuple.h \
-  $(SOPHYAINCP)xntuple.h \
-  $(SOPHYAINCP)fitslocalmap.h \
-  $(SOPHYAINCP)localmap.h \
-  $(SOPHYAINCP)fbtntintf.h pitvmaad.h \
+  $(SOPHYAINCP)resusage.h pitvmaad.h \
   $(SOPHYAINCP)piyfxdrw.h \
   $(SOPHYAINCP)pisurfdr.h pipodrw.h \
@@ -633,8 +626,10 @@
   $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)generaldata.h \
   $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
@@ -676,8 +671,10 @@
   $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)generaldata.h \
   $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
@@ -723,8 +720,10 @@
   $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)generaldata.h \
   $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
@@ -756,9 +755,4 @@
   $(SOPHYAINCP)objfitter.h \
   $(SOPHYAINCP)cimage.h $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)fitsntuple.h \
-  $(SOPHYAINCP)fitsfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h \
-  $(SOPHYAINCP)fitsxntuple.h \
   $(SOPHYAINCP)datatable.h \
   $(SOPHYAINCP)swppfdtable.h \
@@ -802,8 +796,10 @@
   $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)generaldata.h \
   $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
@@ -813,9 +809,5 @@
   $(SOPHYAINCP)objfitter.h \
   $(SOPHYAINCP)histos.h $(SOPHYAINCP)histos2.h \
-  $(SOPHYAINCP)hisprof.h \
-  $(SOPHYAINCP)fitstarray.h \
-  $(SOPHYAINCP)fitsfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h
+  $(SOPHYAINCP)hisprof.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nomimagadapter.cc
  
@@ -855,8 +847,10 @@
   $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)generaldata.h \
   $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
@@ -879,10 +873,5 @@
   $(SOPHYAINCP)fiolocalmap.h \
   $(SOPHYAINCP)fiosphereecp.h pitvmaad.h \
-  $(SOPHYAINCP)complexios.h \
-  $(SOPHYAINCP)fitsspherehealpix.h \
-  $(SOPHYAINCP)fitsfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h \
-  $(SOPHYAINCP)fitslocalmap.h
+  $(SOPHYAINCP)complexios.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nomskymapadapter.cc
  
@@ -921,8 +910,10 @@
   $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)generaldata.h \
   $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
@@ -967,17 +958,15 @@
   $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)generaldata.h \
   $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
   $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)fmath.h pitvmaad.h \
-  $(SOPHYAINCP)piyfxdrw.h $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)fitstarray.h \
-  $(SOPHYAINCP)fitsfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h
+  $(SOPHYAINCP)piyfxdrw.h $(SOPHYAINCP)fioarr.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nomtarradapter.cc
  
@@ -990,5 +979,5 @@
   $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
   $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)objfio.h $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -997,6 +986,9 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)objfitter.h \
   $(SOPHYAINCP)cimage.h $(SOPHYAINCP)fioarr.h \
@@ -1027,9 +1019,5 @@
   $(SOPHYAINCP)piaxes.h \
   $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
-  $(SOPHYAINCP)piyfxdrw.h pitvmaad.h \
-  $(SOPHYAINCP)fitstarray.h \
-  $(SOPHYAINCP)fitsfile.h \
-  $(SOPHYAINCP)FitsIO/fitsio.h \
-  $(SOPHYAINCP)FitsIO/longnam.h
+  $(SOPHYAINCP)piyfxdrw.h pitvmaad.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nomtmatvecadapter.cc
  
@@ -1051,10 +1039,17 @@
   $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h $(SOPHYAINCP)histos2.h \
-  $(SOPHYAINCP)hisprof.h $(SOPHYAINCP)histerr.h \
-  $(SOPHYAINCP)ntuple.h $(SOPHYAINCP)ntupintf.h \
-  pawexecut.h piacmd.h $(SOPHYAINCP)commander.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)histos2.h $(SOPHYAINCP)hisprof.h \
+  $(SOPHYAINCP)histerr.h $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)datatable.h \
+  $(SOPHYAINCP)basedtable.h \
+  $(SOPHYAINCP)segdatablock.h pawexecut.h piacmd.h \
+  $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)pdlmgr.h $(SOPHYAINCP)ctimer.h \
   $(SOPHYAINCP)zthread.h dlftypes.h nobjmgr.h servnobjm.h \
@@ -1130,9 +1125,13 @@
   $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h $(SOPHYAINCP)ntuple.h \
-  $(SOPHYAINCP)ntupintf.h $(SOPHYAINCP)nbtri.h \
-  pi2dvec.h pistdimgapp.h $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)ntuple.h $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)nbtri.h pi2dvec.h pistdimgapp.h \
+  $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
@@ -1205,7 +1204,7 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h dlftypes.h \
-  $(SOPHYAINCP)strutil.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)ctimer.h $(SOPHYAINCP)zthread.h \
+  dlftypes.h $(SOPHYAINCP)strutil.h \
   $(SOPHYAINCP)strutilxx.h \
   $(SOPHYAINCP)srandgen.h pistdimgapp.h \
@@ -1268,4 +1267,6 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)generaldata.h \
   $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
@@ -1284,5 +1285,5 @@
   $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
   $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)objfio.h $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)gnumd5.h \
@@ -1290,6 +1291,9 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)generaldata.h \
   $(SOPHYAINCP)ntupintf.h $(SOPHYAINCP)poly.h \
@@ -1378,7 +1382,10 @@
   $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)pibwdggen.h \
@@ -1417,7 +1424,11 @@
   $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h $(SOPHYAINCP)pi3ddrw.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
+  $(SOPHYAINCP)pi3ddrw.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)pidrawer.h \
@@ -1456,7 +1467,10 @@
   $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)pibwdggen.h \
@@ -1525,7 +1539,10 @@
   $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)pigratt.h $(SOPHYAINCP)piaxes.h \
@@ -1601,6 +1618,6 @@
   $(SOPHYAINCP)ppfnametag.h \
   $(SOPHYAINCP)dvlist.h $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)mutyv.h dlftypes.h piacmd.h \
-  $(SOPHYAINCP)commander.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  dlftypes.h piacmd.h $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)pdlmgr.h $(SOPHYAINCP)ctimer.h \
   $(SOPHYAINCP)zthread.h pisiadw.h \
@@ -1616,4 +1633,6 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)generaldata.h \
   $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
@@ -1734,7 +1753,10 @@
   $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
   $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)generalfit.h \
   $(SOPHYAINCP)generaldata.h \
@@ -1802,6 +1824,6 @@
   $(SOPHYAINCP)ppfnametag.h \
   $(SOPHYAINCP)dvlist.h $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)mutyv.h dlftypes.h piacmd.h \
-  $(SOPHYAINCP)commander.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  dlftypes.h piacmd.h $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)pdlmgr.h $(SOPHYAINCP)zthread.h \
   pisiadw.h $(SOPHYAINCP)pilistx.h \
@@ -1822,5 +1844,5 @@
   $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
   $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)objfio.h $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)gnumd5.h \
@@ -1828,7 +1850,10 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)tvector.h pistdimgapp.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)fioarr.h $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tvector_tsnl.h pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
@@ -1904,5 +1929,5 @@
   $(SOPHYAINCP)basarr.h \
   $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)objfio.h $(SOPHYAINCP)ppersist.h \
   $(SOPHYAINCP)pexceptions.h \
@@ -1911,6 +1936,10 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h $(SOPHYAINCP)tvector.h
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tvector_tsnl.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pitvmaad.cc
  
@@ -1927,7 +1956,8 @@
   $(SOPHYAINCP)ppfnametag.h \
   $(SOPHYAINCP)dvlist.h $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)mutyv.h dlftypes.h servnobjm.h \
-  $(SOPHYAINCP)pdlmgr.h $(SOPHYAINCP)zthread.h \
-  nomgadapter.h $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)timestamp.h \
+  dlftypes.h servnobjm.h $(SOPHYAINCP)pdlmgr.h \
+  $(SOPHYAINCP)zthread.h nomgadapter.h \
+  $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)pibwdggen.h \
   $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
@@ -1954,4 +1984,6 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix_tsnl.h \
+  $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)generaldata.h \
   $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
@@ -1993,8 +2025,12 @@
   $(SOPHYAINCP)resusage.h \
   $(SOPHYAINCP)fct1dfit.h \
-  $(SOPHYAINCP)fct2dfit.h pitvmaad.h \
+  $(SOPHYAINCP)fct2dfit.h \
+  $(SOPHYAINCP)matharr.h pitvmaad.h \
   $(SOPHYAINCP)ntuple.h $(SOPHYAINCP)cimage.h \
   $(SOPHYAINCP)fioarr.h $(SOPHYAINCP)histos.h \
   $(SOPHYAINCP)histos2.h $(SOPHYAINCP)hisprof.h \
+  $(SOPHYAINCP)datatable.h \
+  $(SOPHYAINCP)basedtable.h \
+  $(SOPHYAINCP)segdatablock.h \
   $(SOPHYAINCP)piyfxdrw.h \
   $(SOPHYAINCP)pisurfdr.h pintuple.h pintup3d.h pipodrw.h
